src.backend.tests.library_test.Test_Catalogue Class Reference
Inheritance diagram for src.backend.tests.library_test.Test_Catalogue:

## Public Member Functions

def | __init__ (self)
def | filter_books (self)

## Public Attributes

| book_shelf

## Detailed Description

## Constructor & Destructor Documentation

## __init__()

def src.backend.tests.library_test.Test_Catalogue.__init__ | ( |  | self | ) |

Reimplemented from src.backend.lib.library.Catalogue.

## Member Function Documentation

## filter_books()

def src.backend.tests.library_test.Test_Catalogue.filter_books | ( |  | self | ) |

    Calls scan_folder and filters out book files.

    :returns self._book_list_expanded: json string containing
    all book metadata

Reimplemented from src.backend.lib.library.Catalogue.

## Member Data Documentation

## book_shelf

src.backend.tests.library_test.Test_Catalogue.book_shelf

The documentation for this class was generated from the following file:

- src/backend/tests/library_test.py